Page MenuHomePhabricator

Bundled flow-post-reply notifications, should send editors to the top-most reply
Closed, ResolvedPublic

Description

Bundled flow-post-reply notifications, should send editors to the top-most reply, not to the chronologically first reply, as it currently does.

I.e. In a long thread, if there is 1 reply near the bottom, and then a subsequent reply that is close to the top, then the notification link should use an #anchor for the top-most reply.
E.g. This is the notification I received for 2 replies in a long thread. I have to scroll upwards, in order to notice the second reply. This is somewhat confusing. https://test.wikipedia.org/w/index.php?title=Topic:Spshcmiqektb00fh&topic_showPostId=sy0tbtehy8if5sd0&fromnotif=1#flow-post-sy0tbtehy8if5sd0

Event Timeline

Quiddity created this task.Feb 8 2016, 8:51 PM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptFeb 8 2016, 8:51 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.Feb 8 2016, 9:02 PM

This happens because of the fix to T124175: Clicking Flow "new replies" notifications highlights only the most recent reply, and we did that so that all new replies would be highlighted. Figuring out which reply is the top-most may be hard.

Catrope removed Catrope as the assignee of this task.Feb 12 2016, 7:24 PM

Roan, please look at this and let's decide if it's something we want to address in the current work. This is the last unresolved issue on the Notifications spreadsheet.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 6:49 PM

Change 284383 had a related patch set uploaded (by Mattflaschen):
Link to topmost unread post, but highlight all the unread posts

https://gerrit.wikimedia.org/r/284383

Change 284383 merged by jenkins-bot:
Link to topmost unread post, but highlight all the unread posts

https://gerrit.wikimedia.org/r/284383

Change 284524 had a related patch set uploaded (by Mattflaschen):
Topmost: Minor follow-up to add fallback for missing topmost post ID

https://gerrit.wikimedia.org/r/284524

Change 284611 had a related patch set uploaded (by Mattflaschen):
Fix an issue where latest post wasn't considered as potentially topmost

https://gerrit.wikimedia.org/r/284611

Change 284611 merged by jenkins-bot:
Fix an issue where latest post wasn't considered as potentially topmost

https://gerrit.wikimedia.org/r/284611

Checked in betalabs - a notification message for multiple new replies always redirects to the top-most reply.

Change 284524 merged by jenkins-bot:
Topmost: Minor follow-up to add fallback for missing topmost post ID

https://gerrit.wikimedia.org/r/284524

jmatazzoni closed this task as Resolved.Apr 22 2016, 10:32 PM